ConsoleUnicodeSupport (Gradle API 9.6.0)
Description: declaration: package: org.gradle.api.logging.configuration, enum: ConsoleUnicodeSupport

Package org.gradle.api.logging.configuration

# Enum ConsoleUnicodeSupport

java.lang.Object
java.lang.Enum<ConsoleUnicodeSupport>
org.gradle.api.logging.configuration.ConsoleUnicodeSupport

All Implemented Interfaces:
  `Serializable`, `Comparable<ConsoleUnicodeSupport>`, `Constable`

@NullMarked @Incubating public enum ConsoleUnicodeSupport extends Enum<ConsoleUnicodeSupport>
Specifies how to use Unicode characters in console output.

Since:
  9.4.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Auto`
  Automatically detect if unicode characters could be used in the output.
  `Disable`
  Disable use of unicode characters in the console output.
  `Enable`
  Enable use of unicode characters in the console output.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConsoleUnicodeSupport`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ConsoleUnicodeSupport[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Auto

    @Incubating public static final ConsoleUnicodeSupport Auto
    Automatically detect if unicode characters could be used in the output.
    Since:
      9.4.0

  - ### Enable

    @Incubating public static final ConsoleUnicodeSupport Enable
    Enable use of unicode characters in the console output.
    Since:
      9.4.0

  - ### Disable

    @Incubating public static final ConsoleUnicodeSupport Disable
    Disable use of unicode characters in the console output.
    Since:
      9.4.0

- ## Method Details

  - ### values

    public static ConsoleUnicodeSupport[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ConsoleUnicodeSupport valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null